---
updatedAt: 2025-09-15T20:40:16.000Z
agentTools:
  projectIndex: https://developers.cloudbeds.com/llms.txt
---

# Tech Specs

These are some technical details that are common to our Cloudbeds API endpoints.

### Authentication

To access our endpoints, you first need to obtain an `api_key` using the [POST /access\_token](https://developers.cloudbeds.com/reference/post_access-token) endpoint.

### Scopes

Each endpoint has its required scopes specified.

###  Base URL

Our API Base URL is: `https://api.cloudbeds.com/api/v1.2/{method}`

### Request Content Types

Depending on the method and the content sent, we support the following Content Types:

* **`GET`:** *Query String*
* **`DELETE`:** *Query String*
* **`POST`:** `application/x-www-form-urlencoded`
  * *When uploading a file:`multipart/form-data`*
* **`PUT`:** `application/x-www-form-urlencoded`

###  Response Content Type

All endpoint return response bodies in JSON format.

### Request Headers

Including the `propertyID` in the  `X-PROPERTY-ID` header in every request can help us provide a better experience.

### Response Headers

The header `X-Request-ID` is included in every response from the APIto help accelerate support and troubleshooting.

###  Date and Time Formats

Currently, we support the following formats:

* ***Date:*** `YYYY-MM-DD` *(e.g.`2015-12-31`)*
* ***Time:*** `HH:MM:SS` *(e.g.`23:59:59`)*
* ***DateTime:*** `YYYY-MM-DD HH:MM:SS` *(e.g.`2015-12-31 23:59:59`)*

###  Rate Limits

Our current rate limit for all endpoints is ***10 requests per second***.